import React, { useState, useEffect } from 'react';
import { Form, Table } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from './style.less';
import apis from '../../../services/apis';
import request from '../../../utils/request';
import moment from 'moment';

import router from 'umi/router';


function header(props) {
  /**
   * @param {*} props
   * @returns
   */
  // eslint-disable-next-line react-hooks/rules-of-hooks
  const [data, setData] = useState([{ visitRecords: [] }])
  const [dataConsultant, setDataonsultant] = useState({})
  const [intentionData, setIntentionData] = useState([])

  // eslint-disable-next-line react-hooks/rules-of-hooks
  useEffect(() => {
    getById()
  }, [])

  // 查询
  function getById(params) {
    const { id } = props.location.query;
    if (id === '' || id === undefined) {
      return
    }

    request({ ...apis.customer.CustomerRecommendGet, urlData: { id }, params: { ...params } }).then(res => {
      setData(res)
      setDataonsultant(res.geoInfo)
    })
  }
// 分页
  const changePageNum = pageNumber => {
    // getList({ pageNum: pageNumber, pageSize: 10, ...props.form.getFieldsValue() })
  }
  const columns = [
    {
      title: '访问事件',
      dataIndex: 'activity',
      key: 'activity',
      align: 'center',
    },
    {
      title: '访问时间',
      dataIndex: 'visitTime',
      key: 'visitTime',
      align: 'center',

    },
    {
      title: '停留时间',
      dataIndex: 'visitDuration',
      key: 'visitDuration',
      align: 'center',
      render: (_, record) => <span>{record.visitDuration === null ? 0 : record.visitDuration }秒</span>,
    },
  ]
  // 意向
  const intention = [
    {
      title: 'Name',
      dataIndex: 'name',
      width: 150,
      render: (_, record) => <span>香颂半岛</span>,
    },
    {
      title: 'Address',
      dataIndex: 'address',
      render: (_, record) => <span style={{ marginLeft: '55%' }}>22</span>,
    },
  ];

for (let i = 0; i < 100; i++) {
  intentionData.push({
    key: i,
    name: `Edward King ${i}`,
    age: 32,
    address: `London, Park Lane no. ${i}`,
  });
}
  return (
    <>
      <div className={styles.cardBox}>
     {/* { console.log("data:",data),console.log("data:",dataConsultant)} */}
        <div className={styles.rightBox}>
          <p className={styles.tit}>客户信息</p>
          <img className={styles.touxiang} src={ data.picture && data.picture } />
          <div className={styles.right}>
            <p className={styles.rightItem}>用户名称：{ data.name }</p>
            <p className={styles.rightItem}>手机号码：{ data.phone }</p>
            <p className={styles.rightItem}>首次访问时间：{data.visitTime && moment(data.visitTime).format('YYYY-MM-DD')}</p>
          </div>
          <div className={styles.Centered}>
          <p>访问时长：{ data.duration }秒</p>
          <p>访问次数：{ data.visitTimes }</p>
          <p className={styles.rightItem}>客户描述：{ data.describe }</p>
          {/* <p>预约人数：{ data.visiteNum }</p> */}
          </div>
          <div className={styles.rightCentered}>
          <p >需求类型：{ data.demandType }</p>
          <p >价格区间：{data.priceRange }</p>
          <p >物业类型：{ data.realtyManageType }</p>
          {/* <p>预约人数：{ data.visiteNum }</p> */}
          </div>
          {/* <p className={styles.rightItem}>预约到访时间：{data.appointmentTime && moment(data.appointmentTime).format('YYYY-MM-DD') }</p> */}
          <div className={styles.rightInfo}>
            <p className={styles.rightItem}>国家：{ dataConsultant&&dataConsultant.country }</p>
            <p className={styles.rightItem}>省份：{ dataConsultant&&dataConsultant.provience }</p>
            <p className={styles.rightItem}>城市：{dataConsultant&&dataConsultant.city }</p>
            <p className={styles.rightItem}>来访渠道：活动分享</p>
            {/* <p className={styles.rightItem}>详细信息：</p> */}
            {/* <p className={styles.rightItem}>意向项目：{data.intention }</p> */} 
            {/* <p className={styles.rightItem}>客户说明：{ data.verifyRemark }</p> */}
          </div>
        </div>
        
      </div>
      <br></br>
      <div className={styles.cardBox}>
        <div className={styles.rightBoxCentre}>
        <p className={styles.tit}>置业顾问信息</p>
          <img className={styles.touxiang} src={ data.picture && data.picture } />
          <p className={styles.infoItem}>曹玉文</p>
          <div className={styles.right}>
          {/* <p className={styles.infoItem}>姓名：{ data.consultant && data.consultant.name }</p>
          <p className={styles.infoItem}>部门：{ data.consultant && data.consultant.department }</p> */}
          <p className={styles.infoItem}>号码：{ data.consultant && data.consultant.phone } </p>
          <p className={styles.infoItem}>岗位：{ data.consultant && data.consultant.post }</p>
          </div>
          <div className={styles.left}>
          <p className={styles.infoItem}>公司：{ data.consultant && data.consultant.company } </p>
          <p className={styles.infoItem}>
            所属项目：
            {
              data.consultant && data.consultant.projects.map((item, _) => <span>{item}</span>)
            }
          </p>
          </div>
        </div>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <div className={styles.leftBoxCentre}>
          <div className={styles.tit}>
                <span>项目名称</span>
                <span style={{ marginLeft: '47%' }}>项目名称</span>
          </div>
          {/* <img className={styles.touxiang} src={ data.picture && data.picture } /> */}
          <div className={styles.infoItem}>
          <Table columnWidth={10} showHeader={false} columns={intention} dataSource={intentionData} pagination={{ pageSize: 50 }} scroll={{ y: 240 }}/>,
          </div>
        </div>

      </div>
      <div className={styles.recordBox}>
        <p className={styles.tableName}>访问记录</p>
        <Table dataSource={data.visitRecords} columns={columns} pagination={false} rowKey="customerDetail" onChange={changePageNum}/>
      </div>

    </>
  )
}
const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader
